Contacts
Create a company contact
Creates a contact (lead) for the company. first_name and last_name are required. Pass affiliate with a rep’s email or id to assign the contact to that rep; otherwise the contact belongs to the company. status defaults to cold. Requires a company admin token with permission to create contacts. Returns 422 with validation errors when the contact is invalid.
POST
/
api
/
company
/
contacts
Create a company contact
curl --request POST \
--url https://api.fluid.app/api/company/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact": {
"first_name": "Holly",
"last_name": "Flax",
"email": "holly.flax@gmail.com",
"phone": "+15705550119",
"status": "warm",
"address": "1725 Slough Avenue",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country_code": "US",
"language_code": "en",
"affiliate": {
"email": "dwight.schrute@dundermifflin.com"
}
}
}
'import requests
url = "https://api.fluid.app/api/company/contacts"
payload = { "contact": {
"first_name": "Holly",
"last_name": "Flax",
"email": "holly.flax@gmail.com",
"phone": "+15705550119",
"status": "warm",
"address": "1725 Slough Avenue",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country_code": "US",
"language_code": "en",
"affiliate": { "email": "dwight.schrute@dundermifflin.com" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact: {
first_name: 'Holly',
last_name: 'Flax',
email: 'holly.flax@gmail.com',
phone: '+15705550119',
status: 'warm',
address: '1725 Slough Avenue',
city: 'Scranton',
state: 'PA',
postal_code: '18505',
country_code: 'US',
language_code: 'en',
affiliate: {email: 'dwight.schrute@dundermifflin.com'}
}
})
};
fetch('https://api.fluid.app/api/company/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contact' => [
'first_name' => 'Holly',
'last_name' => 'Flax',
'email' => 'holly.flax@gmail.com',
'phone' => '+15705550119',
'status' => 'warm',
'address' => '1725 Slough Avenue',
'city' => 'Scranton',
'state' => 'PA',
'postal_code' => '18505',
'country_code' => 'US',
'language_code' => 'en',
'affiliate' => [
'email' => 'dwight.schrute@dundermifflin.com'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/contacts"
payload := strings.NewReader("{\n \"contact\": {\n \"first_name\": \"Holly\",\n \"last_name\": \"Flax\",\n \"email\": \"holly.flax@gmail.com\",\n \"phone\": \"+15705550119\",\n \"status\": \"warm\",\n \"address\": \"1725 Slough Avenue\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\",\n \"language_code\": \"en\",\n \"affiliate\": {\n \"email\": \"dwight.schrute@dundermifflin.com\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/contacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contact\": {\n \"first_name\": \"Holly\",\n \"last_name\": \"Flax\",\n \"email\": \"holly.flax@gmail.com\",\n \"phone\": \"+15705550119\",\n \"status\": \"warm\",\n \"address\": \"1725 Slough Avenue\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\",\n \"language_code\": \"en\",\n \"affiliate\": {\n \"email\": \"dwight.schrute@dundermifflin.com\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contact\": {\n \"first_name\": \"Holly\",\n \"last_name\": \"Flax\",\n \"email\": \"holly.flax@gmail.com\",\n \"phone\": \"+15705550119\",\n \"status\": \"warm\",\n \"address\": \"1725 Slough Avenue\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\",\n \"language_code\": \"en\",\n \"affiliate\": {\n \"email\": \"dwight.schrute@dundermifflin.com\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"contact": {
"id": 88412,
"token": "c3f1a9e2-6b4d-4e7a-9c21-5d8f0b7e3a64",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": null,
"status": "warm",
"email": "holly.flax@gmail.com",
"email2": null,
"phone": "+15705550119",
"phone2": null,
"phone_id": null,
"address": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 233,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"full_name": "Holly Flax",
"discarded_at": null,
"metadata": {
"source": "trade-show",
"booth": "Scranton Business Expo"
},
"country": {
"id": 233,
"name": "United States",
"iso": "US",
"iso3": "USA",
"active": true
},
"affiliate": {
"id": 48213,
"first_name": "Dwight",
"last_name": "Schrute",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg"
},
"owner": {
"id": 30117,
"first_name": "Dwight",
"last_name": "Schrute",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg"
}
},
"meta": {
"request_id": "5f0c2a7e-3b1d-4c8e-9a6f-2d7b1e4c9a03",
"timestamp": "2026-09-30T14:12:45Z"
}
}{
"message": "<string>"
}{
"error": "Not authorized."
}⌘I
Create a company contact
curl --request POST \
--url https://api.fluid.app/api/company/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact": {
"first_name": "Holly",
"last_name": "Flax",
"email": "holly.flax@gmail.com",
"phone": "+15705550119",
"status": "warm",
"address": "1725 Slough Avenue",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country_code": "US",
"language_code": "en",
"affiliate": {
"email": "dwight.schrute@dundermifflin.com"
}
}
}
'import requests
url = "https://api.fluid.app/api/company/contacts"
payload = { "contact": {
"first_name": "Holly",
"last_name": "Flax",
"email": "holly.flax@gmail.com",
"phone": "+15705550119",
"status": "warm",
"address": "1725 Slough Avenue",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country_code": "US",
"language_code": "en",
"affiliate": { "email": "dwight.schrute@dundermifflin.com" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact: {
first_name: 'Holly',
last_name: 'Flax',
email: 'holly.flax@gmail.com',
phone: '+15705550119',
status: 'warm',
address: '1725 Slough Avenue',
city: 'Scranton',
state: 'PA',
postal_code: '18505',
country_code: 'US',
language_code: 'en',
affiliate: {email: 'dwight.schrute@dundermifflin.com'}
}
})
};
fetch('https://api.fluid.app/api/company/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contact' => [
'first_name' => 'Holly',
'last_name' => 'Flax',
'email' => 'holly.flax@gmail.com',
'phone' => '+15705550119',
'status' => 'warm',
'address' => '1725 Slough Avenue',
'city' => 'Scranton',
'state' => 'PA',
'postal_code' => '18505',
'country_code' => 'US',
'language_code' => 'en',
'affiliate' => [
'email' => 'dwight.schrute@dundermifflin.com'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/contacts"
payload := strings.NewReader("{\n \"contact\": {\n \"first_name\": \"Holly\",\n \"last_name\": \"Flax\",\n \"email\": \"holly.flax@gmail.com\",\n \"phone\": \"+15705550119\",\n \"status\": \"warm\",\n \"address\": \"1725 Slough Avenue\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\",\n \"language_code\": \"en\",\n \"affiliate\": {\n \"email\": \"dwight.schrute@dundermifflin.com\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/contacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contact\": {\n \"first_name\": \"Holly\",\n \"last_name\": \"Flax\",\n \"email\": \"holly.flax@gmail.com\",\n \"phone\": \"+15705550119\",\n \"status\": \"warm\",\n \"address\": \"1725 Slough Avenue\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\",\n \"language_code\": \"en\",\n \"affiliate\": {\n \"email\": \"dwight.schrute@dundermifflin.com\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contact\": {\n \"first_name\": \"Holly\",\n \"last_name\": \"Flax\",\n \"email\": \"holly.flax@gmail.com\",\n \"phone\": \"+15705550119\",\n \"status\": \"warm\",\n \"address\": \"1725 Slough Avenue\",\n \"city\": \"Scranton\",\n \"state\": \"PA\",\n \"postal_code\": \"18505\",\n \"country_code\": \"US\",\n \"language_code\": \"en\",\n \"affiliate\": {\n \"email\": \"dwight.schrute@dundermifflin.com\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"contact": {
"id": 88412,
"token": "c3f1a9e2-6b4d-4e7a-9c21-5d8f0b7e3a64",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": null,
"status": "warm",
"email": "holly.flax@gmail.com",
"email2": null,
"phone": "+15705550119",
"phone2": null,
"phone_id": null,
"address": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 233,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"full_name": "Holly Flax",
"discarded_at": null,
"metadata": {
"source": "trade-show",
"booth": "Scranton Business Expo"
},
"country": {
"id": 233,
"name": "United States",
"iso": "US",
"iso3": "USA",
"active": true
},
"affiliate": {
"id": 48213,
"first_name": "Dwight",
"last_name": "Schrute",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg"
},
"owner": {
"id": 30117,
"first_name": "Dwight",
"last_name": "Schrute",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg"
}
},
"meta": {
"request_id": "5f0c2a7e-3b1d-4c8e-9a6f-2d7b1e4c9a03",
"timestamp": "2026-09-30T14:12:45Z"
}
}{
"message": "<string>"
}{
"error": "Not authorized."
}